import { newSpecPage } from "@stencil/core/testing";
import { BpSdkQuoteRequestProductListContainer } from "./bp-sdk-quote-request-product-list-container";
const setupPage = async () => {
    return await newSpecPage({
        html: '<bp-sdk-quote-request-product-list-container></bp-sdk-quote-request-product-list-container>',
        components: [BpSdkQuoteRequestProductListContainer],
    });
};
const setupInstance = (page) => {
    const instance = page.rootInstance;
    return instance;
};
describe('bp-sdk-quote-request-product-list-container', () => {
    it('renders', async () => {
        const page = await setupPage();
        await page.waitForChanges();
        const element = page.root.querySelector('bp-sdk-quote-request-product-list');
        expect(element).toBeTruthy();
        expect(page.root.querySelector('bp-sdk-external-quote-request-product-list-container')).toBeFalsy();
    });
    it('renders external component if defined', async () => {
        const whenDefinedMock = jest.spyOn(customElements, 'whenDefined').mockResolvedValueOnce({});
        const page = await setupPage();
        await page.waitForChanges();
        expect(page.root.querySelector('bp-sdk-external-quote-request-product-list-container')).toBeTruthy();
        whenDefinedMock.mockRestore();
    });
});
